ts.plot {ts} | R Documentation

## Plot Multiple Time Series

### Description

Plot several time series on a common plot. Unlike `plot.ts` the series can have a different time bases, but they should have the same frequency.

### Usage

    ts.plot(..., gpars = list())

### Arguments

`...` | one or more univariate or multivariate time series
`gpars` | list of named graphics parameters to be passed to the plotting functions

### Value

None.

### Note

Although this can be used for a single time series, `plot` is easier to use and is preferred.

### Author(s)

B.D. Ripley

### See Also

`plot.ts`

### Examples

    data(UKLungDeaths)
    ts.plot(ldeaths, mdeaths, fdeaths,
            gpars=list(xlab="year", ylab="deaths", lty=c(1:3)))

    data(nottem)
    nott <- window(nottem, end=c(1936,12))
    fit <- arima0(nott,order=c(1,0,0), list(order=c(2,1,0), period=12))
    nott.fore <- predict(fit, n.ahead=36)
    ts.plot(nott, nott.fore$pred, nott.fore$pred+2*nott.fore$se,
            nott.fore$pred-2*nott.fore$se, gpars=list(col=c(1,1,4,4)))